Skip to main content
GET
Get User Profile

Path Parameters

integer
required
The unique Vinted user ID. You can find this in search results or item detail responses.

Query Parameters

string
default:"fr"
Vinted market where the user is registered.Examples: fr, de, uk, it, es, pl, us

Response

integer
User ID.
string
Username.
object
Profile photo with url, width, height.
integer
Number of items the user has sold.
integer
Number of items currently listed.
integer
Number of followers.
integer
Number of users followed.
number
Reputation score between 0 and 1.
integer
Total number of feedback ratings received.
string
User’s city (if public).
string
User’s country.
string
ISO 8601 timestamp of last login.
string
ISO 8601 timestamp when the account was created.

Example Response

Each user profile request costs 1 credit. Failed requests are not charged.

Authorizations

x-api-key
string
header
required

Path Parameters

user_id
integer
required

The unique Vinted user ID.

Query Parameters

market
string
default:fr

Vinted market where the user is registered (e.g. fr, de, uk).

Response

200 - application/json

User profile

id
integer

User ID.

login
string

Username.

photo
object | null

Profile photo.

given_item_count
integer

Number of items the user has sold.

item_count
integer

Number of items currently listed.

followers_count
integer

Number of followers.

following_count
integer

Number of users followed.

feedback_reputation
number

Reputation score between 0 and 1.

feedback_count
integer

Total number of feedback ratings received.

city
string | null

User's city (if public).

country_title
string | null

User's country.

last_loged_on
string | null

ISO 8601 timestamp of last login.

created_at
string | null

ISO 8601 timestamp when the account was created.